#pragma once

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>
#include <stdbool.h>
#include "esp_err.h"

/**
 * @brief Inicializa o driver do medidor DDS 661 (SPI, mutex, registradores).
 */
esp_err_t meter_dds661_init(void);

/**
 * @brief Inicia a tarefa de leitura de dados do medidor DDS 661.
 */
esp_err_t meter_dds661_start(void);

/**
 * @brief Para a tarefa de leitura e limpa os dados internos do medidor DDS 661.
 */
void meter_dds661_stop(void);


#ifdef __cplusplus
}
#endif
